package projectzombie.init;

import java.util.ArrayList;

import projectzombie.items.Item;
import projectzombie.items.ItemAcorn;
import projectzombie.items.ItemAmmo;
import projectzombie.items.ItemAsh;
import projectzombie.items.ItemBlastFurnace;
import projectzombie.items.ItemCampfire;
import projectzombie.items.ItemCharcoal;
import projectzombie.items.ItemClayPot;
import projectzombie.items.ItemClayPotWet;
import projectzombie.items.ItemCoal;
import projectzombie.items.ItemEmpty;
import projectzombie.items.ItemFlare;
import projectzombie.items.ItemFlint;
import projectzombie.items.ItemFlintHatchet;
import projectzombie.items.ItemGrapplingHook;
import projectzombie.items.ItemHealthPotion;
import projectzombie.items.ItemHempSeed;
import projectzombie.items.ItemInfestation;
import projectzombie.items.ItemLantern;
import projectzombie.items.ItemLog;
import projectzombie.items.ItemMetal;
import projectzombie.items.ItemOre;
import projectzombie.items.ItemPlantFibre;
import projectzombie.items.ItemRock;
import projectzombie.items.ItemStoneHatchet;
import projectzombie.items.ItemStonePick;
import projectzombie.items.ItemStoneShovel;
import projectzombie.items.ItemTnt;
import projectzombie.items.ItemTorch;
import projectzombie.items.ItemWorkbench;
import projectzombie.items.spawner.ItemSpawnDummy;
import projectzombie.items.spawner.ItemSpawnZombie;

public class Items
{
	public static ArrayList<Item> items = new ArrayList<Item>();
	
	private static void register(Item item) {
		item.id = items.size();
		items.add(item);
	}
	
	public static void init()
	{
		register(EMPTY);
		register(AMMO);
		register(HEALTH_POTION);
		register(TNT);
		register(LANTERN);
		register(FLARE);
		register(GRAPPLING_HOOK);
		register(SPAWN_ZOMBIE);
		register(SPAWN_DUMMY);
		register(ROCK);
		register(FLINT);
		register(LOG);
		register(ACORN);
		register(PLANT_FIBRE);
		register(HEMP_SEED);
		register(AMMO);
		register(INFESTATION);
		register(FLINT_HATCHET);
		register(CAMPFIRE);
		register(CHARCOAL);
		register(ASH);
		register(WORKBENCH);
		register(STONE_HATCHET);
		register(STONE_PICK);
		register(STONE_SHOVEL);
		register(METAL);
		register(ORE);
		register(BLAST_FURNACE);
		register(CLAY_POT);
		register(CLAY_POT_WET);
		register(TORCH);
		register(COAL);
	}
	
	public static final Item AMMO = new ItemAmmo();
	public static final Item HEALTH_POTION = new ItemHealthPotion();
	public static final Item EMPTY = new ItemEmpty();
	public static final Item TNT = new ItemTnt();
	public static final Item LANTERN = new ItemLantern();
	public static final Item FLARE = new ItemFlare();
	public static final Item GRAPPLING_HOOK = new ItemGrapplingHook();
	public static final Item SPAWN_ZOMBIE = new ItemSpawnZombie();
	public static final Item SPAWN_DUMMY = new ItemSpawnDummy();
	public static final Item ROCK = new ItemRock();
	public static final Item FLINT = new ItemFlint();
	public static final Item LOG = new ItemLog();
	public static final Item ACORN = new ItemAcorn();
	public static final Item HEMP_SEED = new ItemHempSeed();
	public static final Item PLANT_FIBRE = new ItemPlantFibre();
	public static final Item CAMPFIRE = new ItemCampfire();
	public static final Item FLINT_HATCHET = new ItemFlintHatchet();
	public static final Item INFESTATION = new ItemInfestation();
	public static final Item CHARCOAL = new ItemCharcoal();
	public static final Item ASH = new ItemAsh();
	public static final Item WORKBENCH = new ItemWorkbench();
	public static final Item STONE_SHOVEL = new ItemStoneShovel();
	public static final Item STONE_PICK = new ItemStonePick();
	public static final Item STONE_HATCHET = new ItemStoneHatchet();
	public static final Item METAL = new ItemMetal();
	public static final Item ORE = new ItemOre();
	public static final Item BLAST_FURNACE = new ItemBlastFurnace();
	public static final Item CLAY_POT = new ItemClayPot();
	public static final Item CLAY_POT_WET = new ItemClayPotWet();
	public static final Item TORCH = new ItemTorch();
	public static final Item COAL = new ItemCoal();
}
